org.icefaces.ace.component.confirmationdialog

## Interface IConfirmationDialog

- All Known Implementing Classes:
    ConfirmationDialog, ConfirmationDialogBase

      public interface IConfirmationDialog

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHeader()`
    `int` | `getHeight()`
    `java.lang.String` | `getHideEffect()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getPosition()`
    `java.lang.String` | `getSeverity()`
    `java.lang.String` | `getShowEffect()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getWidgetVar()`
    `int` | `getWidth()`
    `int` | `getZindex()`
    `boolean` | `isClosable()`
    `boolean` | `isCloseOnEscape()`
    `boolean` | `isDraggable()`
    `boolean` | `isModal()`
    `void` | `setClosable(boolean closable)`
    `void` | `setCloseOnEscape(boolean closeOnEscape)`
    `void` | `setDraggable(boolean draggable)`
    `void` | `setHeader(java.lang.String header)`
    `void` | `setHeight(int height)`
    `void` | `setHideEffect(java.lang.String hideEffect)`
    `void` | `setMessage(java.lang.String message)`
    `void` | `setModal(boolean modal)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setSeverity(java.lang.String severity)`
    `void` | `setShowEffect(java.lang.String showEffect)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`
    `void` | `setWidth(int width)`
    `void` | `setZindex(int zindex)`

- - ### Method Detail

    - #### setClosable

          void setClosable(boolean closable)

    - #### isClosable

          boolean isClosable()

    - #### setCloseOnEscape

          void setCloseOnEscape(boolean closeOnEscape)

    - #### isCloseOnEscape

          boolean isCloseOnEscape()

    - #### setDraggable

          void setDraggable(boolean draggable)

    - #### isDraggable

          boolean isDraggable()

    - #### setHeader

          void setHeader(java.lang.String header)

    - #### getHeader

          java.lang.String getHeader()

    - #### setHeight

          void setHeight(int height)

    - #### getHeight

          int getHeight()

    - #### setHideEffect

          void setHideEffect(java.lang.String hideEffect)

    - #### getHideEffect

          java.lang.String getHideEffect()

    - #### setMessage

          void setMessage(java.lang.String message)

    - #### getMessage

          java.lang.String getMessage()

    - #### setModal

          void setModal(boolean modal)

    - #### isModal

          boolean isModal()

    - #### setPosition

          void setPosition(java.lang.String position)

    - #### getPosition

          java.lang.String getPosition()

    - #### setSeverity

          void setSeverity(java.lang.String severity)

    - #### getSeverity

          java.lang.String getSeverity()

    - #### setShowEffect

          void setShowEffect(java.lang.String showEffect)

    - #### getShowEffect

          java.lang.String getShowEffect()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setWidth

          void setWidth(int width)

    - #### getWidth

          int getWidth()

    - #### setZindex

          void setZindex(int zindex)

    - #### getZindex

          int getZindex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.